Runtime

## org.eclipse.gmf.runtime.diagram.ui.actions
Class AbstractDiagramModelActionDelegate

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.AbstractActionDelegate
          org.eclipse.gmf.runtime.emf.ui.action.AbstractModelActionDelegate
              org.eclipse.gmf.runtime.diagram.ui.actions.AbstractDiagramModelActionDelegate

All Implemented Interfaces:
  IActionWithProgress, IPartListener

public abstract class AbstractDiagramModelActionDelegate
extends AbstractModelActionDelegate

Abstract action delegate for diagram actions that work with selected `EObject` in a model.

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Constructor Summary
`AbstractDiagramModelActionDelegate()`

Method Summary
`protected java.util.List` `getElements(ISelection selection)` Returns the elements in the given selection.

Methods inherited from class org.eclipse.gmf.runtime.emf.ui.action.AbstractModelActionDelegate
`execute, getEditingDomain, getStatus, isReadOnly, run, setStatus`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionDelegate

`dispose, doRun, getAction, getActionManager, getLabel, getOperationHistory, getSelection, getStructuredSelection, getWorkbenchPart, getWorkbenchWindow, getWorkIndicatorType, handle, init, init, init, isRunnable, isSetup, needsSetup, openErrorDialog, partActivated, partBroughtToTop, partClosed, partDeactivated, partOpened, refresh, run, runWithEvent, selectionChanged, setAction, setActiveEditor, setActivePart, setSetup, setup, setWorkbenchPart, setWorkbenchWindow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDiagramModelActionDelegate

    public AbstractDiagramModelActionDelegate()

Method Detail

### getElements

    protected java.util.List getElements(ISelection selection)

  Returns the elements in the given selection.

  Returns:
    a list of `EObject`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.